# Constant Field Values

## Contents

- net.shibboleth.*

## net.shibboleth.*

net.shibboleth.idp.plugin.authn.webauthn.admin.WebAuthnRegistrationEventIds
Modifier and Type
Constant Field
Value
`public static final String`
`INVALID_ADMIN_ACTION`
`"InvalidAdminAction"`
`public static final String`
`INVALID_MANAGEMENT_CTX`
`"InvalidManagmentContext"`
`public static final String`
`INVALID_REGISTRATION`
`"InvalidRegistration"`
`public static final String`
`INVALID_REGISTRATION_CTX`
`"InvalidRegistrationContext"`
`public static final String`
`NO_SEARCH_USERNAME_AFTER_C14N`
`"NoSearchUsernameAfterC14N"`

net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ExtractKeyInformationFromFormRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAMETER_NAME`
`"credentialId"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ExtractNicknameFromFormRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NICKNAME_FIELD_NAME`
`"credentialNickname"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ExtractPublicKeyCredentialAttestationFromFormRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAMETER_NAME`
`"publicKeyCredential"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ExtractUsernameSearchFromFormRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAMETER_NAME`
`"username_search"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.PasskeyCredentialLabeller
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_LABEL`
`"Passkey"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.PopulateInlineEnrolmentContext
Modifier and Type
Constant Field
Value
`private static final String`
`REG_QUERY_PARAM`
`"reg"`
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.SecondFactorOnlyCredentialLabeller
Modifier and Type
Constant Field
Value
`private static final String`
`DEFAULT_LABEL`
`"SecondFactorOnly"`

net.shibboleth.idp.plugin.authn.webauthn.audit.WebAuthnAuditFields
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION`
`"WebAuthnAdminAction"`
`public static final String`
`ACTION_OUTCOME`
`"WebAuthnAdminAO"`
`public static final String`
`ADMIN_AFFECTED_USER`
`"WebAuthnAdminAU"`
`public static final String`
`CRED_ADDED`
`"WebAuthnAdminCA"`
`public static final String`
`CRED_REMOVED`
`"WebAuthnAdminCR"`
`public static final String`
`FLOW_MODE`
`"WebAuthnFM"`
`public static final String`
`USERID`
`"WebAuthnUID"`
`public static final String`
`UV`
`"WebAuthnUV"`

net.shibboleth.idp.plugin.authn.webauthn.authn.WebAuthnAuthenticationEventIds
Modifier and Type
Constant Field
Value
`public static final String`
`CREDENTIAL_POLICY_REJECTION`
`"CredentialPolicyRejection"`
`public static final String`
`NO_REGISTERED_WEBAUTHN_CREDENTIALS`
`"NoRegisteredWebAuthnCredentials"`
`public static final String`
`USER_HANDLE_NOT_REGISTERED`
`"UserHandleNotRegistered"`

net.shibboleth.idp.plugin.authn.webauthn.exception.AssertionFailureException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1266841324008931444L`
net.shibboleth.idp.plugin.authn.webauthn.exception.CredentialRepositoryException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-4999178337302857500L`
net.shibboleth.idp.plugin.authn.webauthn.exception.RegistrationFailureException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`1266841324008931444L`
net.shibboleth.idp.plugin.authn.webauthn.exception.WebAuthnAuthenticationClientException
Modifier and Type
Constant Field
Value
`private static final long`
`serialVersionUID`
`-2380145079984333546L`

net.shibboleth.idp.plugin.authn.webauthn.impl.ExtractPublicKeyCredentialAssertionFromFormRequest
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAMETER_NAME`
`"publicKeyCredential"`

net.shibboleth.idp.plugin.authn.webauthn.storage.impl.IdPStorageServiceCredentialRepository
Modifier and Type
Constant Field
Value
`protected static final String`
`STORAGE_CONTEXT`
`"net.shibboleth.idp.plugin.authn.webauthn"`
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCAcceleratorImpl
Modifier and Type
Constant Field
Value
`static final String`
`DEFAULT_QUERY_BY_CREDENTIALID_RECORD_SQL`
`"SELECT version, expires, value FROM StorageRecords, JSON_TABLE(value,\'$[*]\' COLUMNS (cid text PATH \'$.credential.credentialId\')) AS cred WHERE context=? AND cred.cid=?"`
`static final String`
`DEFAULT_QUERY_BY_USERHANDLE_RECORD_SQL`
`"SELECT version, expires, value FROM StorageRecords, JSON_TABLE(value,\'$[*]\' COLUMNS (uid text PATH \'$.userIdentity.id\')) AS cred WHERE context=? AND cred.uid=?"`
`static final String`
`DEFAULT_READ_ALL_BY_CONTEXT_SQL`
`"SELECT version, expires, value FROM StorageRecords WHERE context=?"`
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.net.shibboleth.idp.plugin.authn.webauthn.storage.impl.WebAuthnJDBCStorageRecord
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXT_SIZE`
`255`
`public static final int`
`KEY_SIZE`
`255`